Skip to content
Developer

CRMProjectCategory

Tickets and projects1 EndpointsCRM / CRMProjectCategory

This method will get all CRMProjectCategory Objects

GET/api/crm/crmprojectcategories

Query parameters

idstring
namestring
externalDescriptionstring
internalDescriptionstring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of CRMProjectCategory objectsarray<CRMProjectCategory>

Show fields (5)
  • idinteger

    Primary key of the project category. Internal ID.

  • namestring

    Name of the project category.

  • descriptionstring

    Description of the project category.

  • areasarray<CRMProjectCategoryArea>

    Areas the project category is assigned to.

    Show fields (4)
    • idinteger

      Primary key of the category area. Internal ID.

    • namestring

      Name of the area.

    • descriptionstring

      Description of the area.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    The category is deleted.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/crmprojectcategories \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "deleted": true
  }
]